Loading...
Searching...
No Matches
estimate_arguments Struct Reference

The arguments necessary for a search. More...

`#include </build/seqan-needle-VDbW4A/seqan-needle-1.0.3+ds/include/estimate.hpp>`

## Public Attributes

std::filesystem::path | search_file
std::filesystem::path | path_in {"./"}
bool | normalization_method {0}

## Detailed Description

The arguments necessary for a search.

Parameters

  std::filesystem::path | search_file The sequence file containing the transcripts to be searched for.
  std::filesystem::path | path_in The path to the directory where the IBFs can be found. Default: Current directory.
  bool | normalization_method Flag, true if normalization should be used.

## Member Data Documentation

## normalization_method

bool estimate_arguments::normalization_method {0}

## path_in

std::filesystem::path estimate_arguments::path_in {"./"}

## search_file

std::filesystem::path estimate_arguments::search_file

The documentation for this struct was generated from the following file:

- /build/seqan-needle-VDbW4A/seqan-needle-1.0.3+ds/include/estimate.hpp